Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.endpoint
Interface InboundEndpoint

All Superinterfaces:
  FlowConstructAware, ImmutableEndpoint, MessageRequesting, MessageSource, Serializable, Startable, Stoppable

All Known Implementing Classes:
  AtomInboundEndpoint, CallRequestEndpoint, DefaultInboundEndpoint, DynamicRequestEndpoint, DynamicRequestEndpoint.NullInboundEndpoint, DynamicURIInboundEndpoint, RssInboundEndpoint

    public interface InboundEndpoint

extends ImmutableEndpoint, MessageRequesting, MessageSource, FlowConstructAware, Startable, Stoppable

Field Summary

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Method Summary

Methods inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`getAddress, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isProtocolSupported, isReadOnly`

Methods inherited from interface org.mule.api.transport.MessageRequesting
`request`

Methods inherited from interface org.mule.api.source.MessageSource
`setListener`

Methods inherited from interface org.mule.api.construct.FlowConstructAware
`setFlowConstruct`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.